Brands
Commerce Resources · 5 endpoints
GET
/v1/brandsList Brands
app_install_bearerscope: brands:read
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
limitquery | integer | optional | |
starting_afterquery | string | optional | |
ending_beforequery | string | optional |
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | BrandListResponse | required | |
data.has_more | boolean | required | |
data.items | BrandObject[] | required | |
data.items[].color | string | optional | |
data.items[].created_at | string | optional | |
data.items[].description | string | optional | |
data.items[].description_html | string | optional | |
data.items[].icon | string | optional | |
data.items[].id | string | required | |
data.items[].image_alt_text | string | optional | |
data.items[].image_url | string | optional | |
data.items[].media_id | string | optional | |
data.items[].name | string | required | |
data.items[].object | string | optional | brand |
data.items[].published_at | string | optional | |
data.items[].seo_description | string | optional | |
data.items[].seo_title | string | optional | |
data.items[].show_in_navigation | boolean | optional | |
data.items[].slug | string | optional | |
data.items[].sort_order | integer | optional | |
data.items[].status | string | optional | |
data.items[].updated_at | string | optional | |
data.next_cursor | string | optional | |
data.object | string | optional | list |
data.url | string | optional | |
success | boolean | required | true |
Errors 400401403404409422429500
curl https://api.getmeonline.io/v1/brands \
-H "Authorization: Bearer $GETME_API_KEY"POST
/v1/brandsCreate Brand
app_install_bearerscope: brands:writeidempotent
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
Idempotency-Keyheader | string | required | Unique key used to make this mutation retry-safe for the replay window. |
Request body · application/json
| Field | Type | Required | Description |
|---|---|---|---|
color | string | optional | |
description | string | optional | |
description_html | string | optional | |
icon | string | optional | |
image_alt_text | string | optional | |
image_url | string | optional | |
media_id | string | optional | |
name | string | required | |
seo_description | string | optional | |
seo_title | string | optional | |
show_in_navigation | boolean | optional | |
slug | string | optional | |
sort_order | integer | optional | |
status | string | optional | draft, published |
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | BrandObject | required | |
data.color | string | optional | |
data.created_at | string | optional | |
data.description | string | optional | |
data.description_html | string | optional | |
data.icon | string | optional | |
data.id | string | required | |
data.image_alt_text | string | optional | |
data.image_url | string | optional | |
Errors 400401403404409422429500
curl https://api.getmeonline.io/v1/brands \
-X POST \
-H "Authorization: Bearer $GETME_API_KEY" \
-H "Idempotency-Key: idem_1234567890abcdef" \
-H "Content-Type: application/json" \
-d '{
"color": "color",
"description": "description",
"description_html": "description_html",
"icon": "icon",
"image_alt_text": "image_alt_text",
"image_url": "image_url"
}'GET
/v1/brands/{brand_id}Get Brand
app_install_bearerscope: brands:read
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
brand_idpath | string | required | Brand public identifier in brnd_<21 Base62> format. |
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | BrandObject | required | |
data.color | string | optional | |
data.created_at | string | optional | |
data.description | string | optional | |
data.description_html | string | optional | |
data.icon | string | optional | |
data.id | string | required | |
data.image_alt_text | string | optional | |
data.image_url | string | optional | |
data.media_id | string | optional | |
data.name | string | required | |
data.object | string | optional | brand |
data.published_at | string | optional | |
data.seo_description | string | optional | |
data.seo_title | string | optional | |
data.show_in_navigation | boolean | optional | |
data.slug | string | optional | |
data.sort_order | integer | optional | |
data.status | string | optional | |
data.updated_at | string | optional | |
success | boolean | required | true |
Errors 400401403404409422429500
curl https://api.getmeonline.io/v1/brands/{brand_id} \
-H "Authorization: Bearer $GETME_API_KEY"PATCH
/v1/brands/{brand_id}Update Brand
app_install_bearerscope: brands:writeidempotent
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
brand_idpath | string | required | Brand public identifier in brnd_<21 Base62> format. |
Idempotency-Keyheader | string | required | Unique key used to make this mutation retry-safe for the replay window. |
Request body · application/json
| Field | Type | Required | Description |
|---|---|---|---|
color | string | optional | |
description | string | optional | |
description_html | string | optional | |
icon | string | optional | |
image_alt_text | string | optional | |
image_url | string | optional | |
media_id | string | optional | |
name | string | optional | |
seo_description | string | optional | |
seo_title | string | optional | |
show_in_navigation | boolean | optional | |
slug | string | optional | |
sort_order | integer | optional | |
status | string | optional | draft, published |
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | BrandObject | required | |
data.color | string | optional | |
data.created_at | string | optional | |
data.description | string | optional | |
data.description_html | string | optional | |
data.icon | string | optional | |
data.id | string | required | |
data.image_alt_text | string | optional | |
data.image_url | string | optional | |
Errors 400401403404409422429500
curl https://api.getmeonline.io/v1/brands/{brand_id} \
-X PATCH \
-H "Authorization: Bearer $GETME_API_KEY" \
-H "Idempotency-Key: idem_1234567890abcdef" \
-H "Content-Type: application/json" \
-d '{
"color": "color",
"description": "description",
"description_html": "description_html",
"icon": "icon",
"image_alt_text": "image_alt_text",
"image_url": "image_url"
}'POST
/v1/brands/{brand_id}/archiveArchive Brand
app_install_bearerscope: brands:writeidempotent
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
brand_idpath | string | required | Brand public identifier in brnd_<21 Base62> format. |
Idempotency-Keyheader | string | required | Unique key used to make this mutation retry-safe for the replay window. |
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | BrandObject | required | |
data.color | string | optional | |
data.created_at | string | optional | |
data.description | string | optional | |
data.description_html | string | optional | |
data.icon | string | optional | |
data.id | string | required | |
data.image_alt_text | string | optional | |
data.image_url | string | optional | |
data.media_id | string | optional | |
data.name | string | required | |
data.object | string | optional | brand |
data.published_at | string | optional | |
data.seo_description | string | optional | |
data.seo_title | string | optional | |
data.show_in_navigation | boolean | optional | |
data.slug | string | optional | |
data.sort_order | integer | optional | |
data.status | string | optional | |
data.updated_at | string | optional | |
success | boolean | required | true |
Errors 400401403404409422429500
curl https://api.getmeonline.io/v1/brands/{brand_id}/archive \
-X POST \
-H "Authorization: Bearer $GETME_API_KEY" \
-H "Idempotency-Key: idem_1234567890abcdef"